0
Вобщем, поигравшись с переделанным девайсом, обнаружилось, что медленные МК оно шьет только в медленном режиме, т.е. с перемычкой как у автора статьи, а быстрые контроллеры — только без перемычки. Тиню 13 с заводскими вьюзами (т.е. 1.2 мгц) в быстром режиме не видит, только в медленном. Но стоит только убрать предделитель на 8, сразу же перестает видеть в медленном режиме, зато замечательно шьет в быстром. Поэтому, обмозговав немного, переделал свои девайсы так:




Думаю, суть переделки ясна из картинки. Теперь появилась перемычка быстро-медленно.
0
Прправочка: AVRASP = USBASP
0
Вот спасибо мил человек! Валились у меня купленные до кучи когда-то 2 шт таких программаторов. Ни один не работал нормально. Был у меня еще AVRISP MK2, но сегодня трагически помер с красивым дымком. Тут то я и вспомнил про AVRASP китайские. Благодаря этой статье вернул им жизнь, теперь почти счастлив =)
0
Да, кстати, там целые танцы с бубном по поводу пермишенов порта ttyUSB* были. Может я там намудрил где, но выглядит у мпеня оно так (если кому не лень будет это читать):

#!/bin/bash

if [ $USER != 'root' ]; then   
    echo "You must be root to do this." 1>&2   
    exit 100
fi

A_USER='';
A_GROUP='usbasp';


if [ "$1" != "" ]; then    
    A_USER="$1";
else
    while [ "$A_USER" = "" ]; do
	   read -p "Enter username of USBASP user: " A_USER
    done
    echo "" 1>&2;
fi 

#Check if user exists

if id -u $A_USER 1>/dev/null 2>&1 
    then
        echo "User '$A_USER' found." 1>&2;
else
    echo "User '$A_USER' not found." 1>&2;
    exit 200;
fi

#Asking user if he shure to do this.
read -n 1 -p "You sure want to allow user $A_USER to use USBASP? (y/[a]): " AMSURE 
[ "$AMSURE" = "y" ] || { echo "" 1>&2; exit; }
echo "" 1>&2


if [ "`cat /etc/group | grep $A_GROUP`" = "" ]; then
    echo "Group '$A_GROUP' not found. Creating..." 1>&2;
    groupadd $A_GROUP -f  #force group creation 
else 
    echo "Group '$A_GROUP' found." 1>&2;
fi


echo  "Adding user $A_USER to group $A_GROUP..." 1>&2;

if [ "`usermod -a -G $A_GROUP $A_USER`" != "" ]; then
    echo "Failed.";
    exit 300;
fi


cat <<EOF > "/etc/udev/rules.d/99-$A_GROUP.rules"
ACTION!="add", GOTO="dev_support_rules_end"
SUBSYSTEM=="usb", ENV{DEVTYPE}=="usb_device", GOTO="dev_support_init"
SUBSYSTEM!="usb_device", GOTO="dev_support_rules_end"

LABEL="dev_support_init"

ATTR{idVendor}=="16c0", ATTR{idProduct}=="05dc", MODE:="0664", GROUP:="$A_GROUP", ENV{dev_model}="$sysfs{product}", ENV{dev_test}="yes"

LABEL="dev_support_rules_end";
EOF

echo "Restarting udev..." 1>&2;
service udev restart >/dev/null 2>&1

echo "==============================================================" 1>&2
echo "" 1>&2
echo "Done. Unplug your device and plug again to make it work." 1>&2;
echo "" 1>&2
echo "==============================================================" 1>&2
+1
BSD сама по себе клон юникса =) Если историю помню. И этот БСД посли университета Беркли тырили кому не лень, потому что опен. Клон, ветка — уже не так важно.

Вот, кстати.
0
9-ка и 10-ка различаются не меньше, чем винда и линукс. 10-ку написали почти заново, используя наработки Next и куски клона BSD — OpenBSD.
0
Наврядле. Дело в том, что виртуалка работает в этом самом линуксе, и просто пробрасывает аппаратный порт на винду, с самим портом, насколько мне известно, работать не через ядро невозможно, так что получается что для виртуалки должны быть те же ограничени на работу с девайсами, как и для линукс нативных приложений.

А вобще это USBASP в 2х вариантах от братьев наших меньших, и клон AVRISP MK2 местоного разлива. Обе на меге8.
0
Под виртуалкой — без проблем. А вот линуксовый avrdude прорамматор понимает раз через раз. Почему — так и не нашел. Причем программаторов 2 вида пробовал, не помогло. Наверное, сама сборка неудачная. Ну пока проще поделки программировать под виртуалкой, пиши под виртуалкой. Если буду заниматьсерьезнее — настрою Линух, ато виртуалка тормозит =)
0
2.5 года работал на Маке. Убежал на Линукс. Слишком все зализано, сахарно, до тошноты.

А если по теме, то пытался настроить подобное под Линуксом. Дудка вилит USBASP раз через раз, так и не понял, что ему не так. Плюнул, работаю в виртуалке под виндой. Хотя в Саблиме писать приятнее намного, чем в любом виндовс редакторе. Причем даже сам саблим под виндой как-то не торт =)
0
Для демобоарда батарейка предпочительнее, конечно =)
0
А в чем проблема его туда впаять вместо батарейки, простите? Предуспотреть цепь заряда его при подключенном устройстве не так и сложно.
0
У нас на рынке все в 2 раза дороже, чем с ибея. Выгоднее у китайцев купить десяток-другой Мег8 тех же, спланировать платы к тому же времени, получится в 1.5, а иногда и в 2 раза дешевле. Хотя в моем городе базируется одна из крупнейших местных конторок торговли запчастями.
0
Может быть, может быть. Китай рекорд был — месяц. Обычно 10-14 дней. Курьерские почты вобще из Америки за 4 дня доставляют (Лаунчпад и Распберри так шел).
0
Время — стабильно 10 дней, до 14. ДОставка бесплатная же. Китай.
0
Простите, что не по теме, а неровности фольги (на верхней фото) не портят дорожки?
0
Сейчас веселая ситуация получается. Для своих проектов когда-то купил жменьку вот этих RTC еще по цене 2.50 за штуку. Сейчас они по 2.92, с купонами — дешевле. Суть в том, что DS1338Z-33 в наших палестинах стоит 18 грн или ~2.2 бакса. Если посчитать обвязку и батарейку, то оказывается, что существенно дешевле купить в Китае, чем спаять самому. Впрочем, это не компенсирует радости от процесса сборки своего гаджета =)